Package org.jboss.logging.processor.model

# Interface ClassType

All Superinterfaces:
  `AnnotatedConstruct`

All Known Subinterfaces:
  `MessageInterface`, `Parameter`, `ReturnType`, `ThrowableType`

public interface ClassType extends AnnotatedConstruct
Date: 23.08.2011

Author:
  James R. Perkins

## Method Summary

Modifier and Type
Method
Description
`boolean`
`isAssignableFrom(Class<?> type)`
Determines if this type is either the same as, or is a supertype of, the class represented by the `type` parameter.
`boolean`
`isSameAs(Class<?> type)`
Determines if this type is the same type as the class represented by the `type` parameter.
`boolean`
`isSubtypeOf(Class<?> type)`
Determines if this type is a subtype of the class represented by the `type` parameter.

### Methods inherited from interface javax.lang.model.AnnotatedConstruct

`getAnnotation, getAnnotationMirrors, getAnnotationsByType`

## Method Details

### isAssignableFrom

boolean isAssignableFrom(Class<?> type)
Determines if this type is either the same as, or is a supertype of, the class represented by the `type` parameter. If this type is assignable from the class `true` is returned, otherwise `false`.

Parameters:
  `type` - the class type to check.
Returns:
  `true` if this type is the same as or a superclass of the class, otherwise `false`.

### isSubtypeOf

boolean isSubtypeOf(Class<?> type)
Determines if this type is a subtype of the class represented by the `type` parameter. If this type is a subtype of the class `true` is returned, otherwise `false`.

Parameters:
  `type` - the class type to check.
Returns:
  `true` if this type is a subtype of the class, otherwise `false`.

### isSameAs

boolean isSameAs(Class<?> type)
Determines if this type is the same type as the class represented by the `type` parameter. If this type is the same type as the class `true` is returned, otherwise `false`.

Parameters:
  `type` - the class type to check.
Returns:
  `true` if this type is the same type as the class, otherwise `false`.